Skip to content

自由换汇汇率查询

  • Endpoint: POST /aggregate-pay/api/gateway/queryCurrencyExchangeRate
  • Tags: 外汇(新)

Description

支持查询资金账户换汇场景汇率

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYes接口版本,当前值为:1.5
keyVersionstringYes密钥版本,当前值为:1
requestTimestringYes请求时间,符合rfc3339规范,格式:yyyy-MM-dd'T'HH:mm:ss.SSSXXX 时间需要在当前时间两分钟内
appIdstringYes商户应用Id,PayerMax分配给商户应用的唯一标识 会员维度的集成appid
memberIdstringYes会员号
dataobjectYes请求数据体
data.ccyPairListarray[object]Yes币种对列表
data.ccyPairList[].sidestringYes对于交易币种的买卖方向
data.ccyPairList[].targetCurrencystringYes外汇目标币种
data.ccyPairList[].transactionCurrencystringYes外汇交易币种

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T12:23:13.712+00:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20251126P01B55000029000008",
  "data": {
    "ccyPairList": [
      {
        "side": "SELL",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      },
      {
        "side": "BUY",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      }
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes返回描述,APPLY_SUCCESS代表成功
codestringYes
dataobjectYes响应数据,具体响应数据
data.rateListarray[object]Yes汇率列表
data.rateList[].ccyPairstringYes币种对
data.rateList[].expiryTimestringYes汇率失效时间,可能为空,格式:yyyy-MM-dd’T’HH:mm:ss.SSSXXX
data.rateList[].ratenumberYes汇率,代表一个单位的外汇交易币种=?目标币种汇率
data.rateList[].rateReferenceIdstringYes汇率唯一ID
data.rateList[].rateTypestringYes汇率类型,Tradable可交易/Reference仅供参考
data.rateList[].sidestringYes对于交易币种的买卖方向,BUY/SELL
data.rateList[].targetCurrencystringYes外汇目标币种
data.rateList[].transactionCurrencystringYes外汇交易币种

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "rateList": [
      {
        "ccyPair": "IDRUSD",
        "expiryTime": "2025-10-20T05:57:25.736Z",
        "rate": 0.00006213,
        "rateReferenceId": "tieredBatchId0018176093978450500010002",
        "rateType": "Tradable",
        "side": "SELL",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      },
      {
        "ccyPair": "IDRUSD",
        "expiryTime": "2025-10-20T05:57:26.699Z",
        "rate": 0.00006484,
        "rateReferenceId": "tieredBatchId0018176093978450500010002",
        "rateType": "Tradable",
        "side": "BUY",
        "targetCurrency": "USD",
        "transactionCurrency": "IDR"
      }
    ]
  }
}

此页面的内容有帮助吗?

感谢您帮助改进 PayerMax 产品文档!

Released under the MIT License.